@charset "UTF-8";

/* *{
    margin: 0;
    padding: 0;
} */

/* html, body {
    margin: 0;
    padding: 0;
  } */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }

/*header*/

#wrap{
    /* background-color: black;背景色 */
    background: linear-gradient(black 90%, #99ff99 100%);/*背景色*/
    /* font-family: 'Source Serif Pro', serif, 'Noto Serif JP', serif;フォントの指定 */
}

header{
    /* background-color: #330000; */
    display: flex;/*ヘッダーの文字を自由に配置*/
    align-items: center;/*縦に中央揃え*/
    /* 大覚寺背景 */
    background-image: url(images/daikakuji.jpg);
    background-repeat: no-repeat;/*繰り返しなし*/
    background-size: cover;/*サイズ足りない時広がる*/
    background-position: left 0Px top -100px;/*写真の内容位置調整*/
    height: 100px;
    font-family: 'Source Serif Pro', serif, 'Noto Serif JP', serif;/*フォントの指定*/
}
header p{
    margin-left: 20px;/*ロゴからの余白*/
    padding: 7px 0;/*白枠上からの位置*/
    padding-left: 15px;/*白枠左からの位置*/
    height: 90px;/*白枠高さ*/
    width: 120px;/*白枠幅*/
    font-size: 22px;
    background-color: rgba(245, 245, 245, 0.7);
    line-height: 1.2;/*行間1.2倍*/
    overflow: hidden;/*はみ出し部分の非表示*/
    text-align: center;
}
#logo{
    width: 100px;
}

/* 桜を降らすstart */
/* 桜を表示するコンテナのスタイル */
.cherry-blossom-container {
    position: relative;
    height: 100vh; /* コンテナの高さ */
    width: 100%; /* コンテナの横幅 */
    overflow: hidden; /* コンテナからはみ出した要素を隠す */
  }
  
  /* 桜の花びらのスタイル */
  .petal {
    position: absolute;
    background-color: #ffc0cb; /* 花びらの色 */
    border-radius: 150% 0 150% 0;
    animation: animate-petal 10s linear;
  }
  
  .petal::after {
    content: "";
    position: absolute;
    top: -14%;
    left: -10%;
    display: block;
    width: 100%;
    height: 100%;
    background-color: #ffc0cb;
    border-radius: 150% 0 150% 0;
    transform: rotate(15deg);
  }
  
  /* 花びらが降るアニメーション */
  @keyframes animate-petal {
    0% {
      top: 0;
      opacity: 0;
      transform: rotate(0deg);
    }
    10% {
      opacity: 1;
    }
    90% {
      opacity: 1;
    }
    100% {
      opacity: 0;
      top: 100vh;
      transform: rotate(3000deg);
    }
  }
/* 桜を降らすend */

/* main */

/* 「刀」の文字点滅start */
.katana_flash{
    animation: flash 5s linear infinite;/*５秒*/
    color: whitesmoke;
    /* background:#0091EA; */
    /* margin:20px; */
  }
  @keyframes flash {
    0%,100% {
      opacity: 1;
    }
    50% {
      opacity: 0;
    }
  }
/* 「刀」の点滅end */

#select{
    margin-top: 20px;
    color: whitesmoke;
    text-align: center;
    line-height: 70px;
    font-family: 'Source Serif Pro', serif, 'Noto Serif JP', serif;/*フォントの指定*/
    /* font-weight: bold; */
}
#select span{
    font-size: 36px;
}

.slider {
    width: 70%;/*ブラウザに対しての写真の幅*/
    margin: 10px auto;/*上から余白。真ん中揃え*/
}
.slick-slide {
    margin: 0px 5px;
    height: 200px;/*写真の高さ*/
 }
.slick-slide img {
    width: 100%;
    height: 200px;
    object-fit: cover;
 }
.slick-prev:before,
.slick-next:before {
    color: ghostwhite;
}

.slick-slide {
    transition: all ease-in-out .3s;/*0.3秒かけてopacityをセットしていく*/
    opacity: .5;/*両端の写真の半透明の度合*/
}
.slick-active {
    opacity: 1;/*真ん中の両隣の写真の透明具合：なし*/
}
.slick-current {
    opacity: 1;/*真ん中の写真の透明具合：なし*/
}
/* slickのドットの色変更 */
/* button#slick-slide-control00::before,button#slick-slide-control01::before,button#slick-slide-control02::before,button#slick-slide-control03::before,button#slick-slide-control04::before{
    color: ghostwhite;
} */
.slick-dots li button:before{
    color: whitesmoke;/*アクティブじゃないdotの色*/
}
.slick-dots li.slick-active button:before{
    color: whitesmoke;/*アクティブなdotの色*/
}
.slick-slide:hover img{
    transform: scale(1.1); /* マウスオーバーで1.1倍拡大する */
}

#meisai{
    margin-top: 100px;
    color: whitesmoke;/*刀詳細の文字色*/
    text-align: center;
}
#meisai img{
    width: 400px;
    align-items: center;
    margin-top: 10px;
}
#meisai section{
    margin-top: 50px;
}
#meisai span{
    font-size: 16px;
}
#meisai h2{
    font-family: 'Source Serif Pro', serif, 'Noto Serif JP', serif;/*フォントの指定*/
}

/* 画像マウスオーバーで名前を表示する start*/
.sample2 {
	width:			400px;
    margin: 0 auto;
	/* height:			188px; */
	overflow:		hidden;
	/* margin:			10px 8px 10px 16px; */
	position:		relative;
}
.sample2 .caption {
	font-size:		300%;
	text-align: 		center;
	color:			#fff;
    font-family: 'Source Serif Pro', serif, 'Noto Serif JP', serif;/*フォントの指定*/
}
.sample2 .mask {
	width:			100%;
	height:			100%;
	position:		absolute;/*絶対配置を指定する値*/
	top:			0;
	left:			0;
	opacity:		0;	/* マスクを表示しない */
	background-color:	rgba(0,0,0,0.4);
	-webkit-transition:	all 0.6s ease;
	transition:		all 0.6s ease;
}
.sample2:hover .mask {
	opacity:		1;	/* マスクを表示する */
	padding-top:		120px;	/* ホバーで下にずらす */
}
/* 画像マウスオーバーで名前を表示する end*/

/* 刀詳細ポップアップウィンドウの動きstart */
.open {
	cursor:pointer; /* マウスオーバーでカーソルの形状を変えることで、クリックできる要素だとわかりやすいように */
    background-color: #98fb98;
    color: #504946;
    display: block;
    border-radius: 200px;
    height: 50px;
    width: 400px;
    line-height: 50px;
    text-align: center;
    font-weight: bold;
    margin: 0 auto 80px;
    font-size: 1.2em;
}
#pop-up1 {
	display: none; /* label でコントロールするので input は非表示に */
}
.overlay {
	display: none; /* input にチェックが入るまでは非表示に */
}
#pop-up1:checked + .overlay {
	display: block;
	z-index: 9999;
	background-color: #00000070;/*半透明*/
	position: fixed;
	width: 100%;
	height: 100vh;
	top: 0;
	left: 0;
}
#pop-up2 {
	display: none; /* label でコントロールするので input は非表示に */
}
#pop-up2:checked + .overlay {
	display: block;
	z-index: 9999;
	background-color: #00000070;/*半透明*/
	position: fixed;
	width: 100%;
	height: 100vh;
	top: 0;
	left: 0;
}
#pop-up3 {
	display: none; /* label でコントロールするので input は非表示に */
}
#pop-up3:checked + .overlay {
	display: block;
	z-index: 9999;
	background-color: #00000070;/*半透明*/
	position: fixed;
	width: 100%;
	height: 100vh;
	top: 0;
	left: 0;
}
#pop-up4 {
	display: none; /* label でコントロールするので input は非表示に */
}
#pop-up4:checked + .overlay {
	display: block;
	z-index: 9999;
	background-color: #00000070;/*半透明*/
	position: fixed;
	width: 100%;
	height: 100vh;
	top: 0;
	left: 0;
}
#pop-up5 {
	display: none; /* label でコントロールするので input は非表示に */
}
#pop-up5:checked + .overlay {
	display: block;
	z-index: 9999;
	background-color: #00000070;/*半透明*/
	position: fixed;
	width: 100%;
	height: 100vh;
	top: 0;
	left: 0;
}
.window {
	width: 90vw;
	max-width: 380px;
	height: 280px;
	background-color: #ffffff;
	border-radius: 6px;
	display: block;
	justify-content: center;
	align-items: center;
	position: fixed;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
    padding: 20px 20px 20px 20px;
    color: #504946;
}
.text {
	font-size: 18px;
	margin: 0;
}
.close {
	cursor:pointer;
	position: absolute;
	top: 4px;
	right: 4px;
	font-size: 20px;
    color: grey;
}
/* ポップアップウィンドウの動きend */

/* footer */
footer{
    line-height: 100px;
    font-size: 20px;
    text-align: center;
}

/* scrollTop */
#scrollTop{
    position: fixed;
    bottom: 20px;
    right: 10px;
    font-size: 1.5em;
    background-color: black;
    border-radius: 20px;
    text-decoration: none;/*リンクの下線を消す*/
    color: whitesmoke;
}

/*ウィンドウの幅580以上でヘッダー広げる*/
@media screen and (min-width:580px){
    header {
        height: 200px;
        /* background-position: left 0Px top -500px;写真の内容位置調整 */
    }
    header p{
        margin-left: 40px;/*ロゴからの余白*/
        padding: 25px 0;/*白枠上からの位置*/
        padding-left: 20px;/*白枠左からの位置*/
        height: 150px;/*白枠高さ*/
        width: 150px;/*白枠幅*/
        font-size: 28px;
        /* background-color: rgba(245, 245, 245, 0.7); */
        line-height: 1.2;/*行間1.2倍*/
        overflow: hidden;/*はみ出し部分の非表示*/
        text-align: center;
    }
    #logo{
        margin-top: 10px;
        width: 180px;
    }
}